Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.texteditor
Interface ITextEditorActionDefinitionIds

All Superinterfaces:
  IWorkbenchActionDefinitionIds

public interface ITextEditorActionDefinitionIds
extends IWorkbenchActionDefinitionIds

Defines the definitions ids for the text editor actions. These actions are navigation, selection, and modification actions.

Since:
  2.0

Field Summary
`static String` | `CLEAR_MARK` Action definition id of the edit clear mark action.
`static String` | `COLUMN_NEXT` Action definition id of the navigate goto next column action.
`static String` | `COLUMN_PREVIOUS` Action definition id of the navigate goto previous column action.
`static String` | `CONTENT_ASSIST_CONTEXT_INFORMATION` Action definition ID of the edit -> content assist context information action Value: `"org.eclipse.ui.edit.text.contentAssist.contextInformation"`).
`static String` | `CONTENT_ASSIST_PROPOSALS` Action definition ID of the edit -> content assist proposal action Value: `"org.eclipse.ui.edit.text.contentAssist.proposals"`).
`static String` | `CONVERT_LINE_DELIMITERS_TO_MAC` Action definition id of the edit convert to mac line delimiter action.
`static String` | `CONVERT_LINE_DELIMITERS_TO_UNIX` Action definition id of the edit convert to unix line delimiter action.
`static String` | `CONVERT_LINE_DELIMITERS_TO_WINDOWS` Action definition id of the edit convert to window's line delimiter action.
`static String` | `COPY_LINES_DOWN` Action definition id of the copy lines downwards action.
`static String` | `COPY_LINES_UP` Action definition id of the copy lines upwards action.
`static String` | `CUT_LINE` Action definition id of the edit cut line action.
`static String` | `CUT_LINE_TO_BEGINNING` Action definition id of the edit cut line to beginning action.
`static String` | `CUT_LINE_TO_END` Action definition id of the edit cut line to end action.
`static String` | `DELETE_LINE` Action definition id of the edit delete line action.
`static String` | `DELETE_LINE_TO_BEGINNING` Action definition id of the edit delete line to beginning action.
`static String` | `DELETE_LINE_TO_END` Action definition id of the edit delete line to end action.
`static String` | `DELETE_NEXT` Action definition id of the edit delete next character action.
`static String` | `DELETE_NEXT_WORD` Action definition id of the edit delete next word action.
`static String` | `DELETE_PREVIOUS` Action definition id of the edit delete previous character action.
`static String` | `DELETE_PREVIOUS_WORD` Action definition id of the edit delete previous word action.
`static String` | `GOTO_LAST_EDIT_POSITION` Action definition id of go to last edit position action.
`static String` | `GOTO_NEXT_ANNOTATION` Action definition id of go to next annotation action.
`static String` | `GOTO_PREVIOUS_ANNOTATION` Action definition id of go to previous annotation action.
`static String` | `LINE_DOWN` Action definition id of the navigate goto next line action.
`static String` | `LINE_END` Action definition id of the navigate goto line end action.
`static String` | `LINE_GOTO` Action definition id of the navigate goto line action.
`static String` | `LINE_START` Action definition id of the navigate goto line start action.
`static String` | `LINE_UP` Action definition id of the navigate goto previous line action.
`static String` | `LOWER_CASE` Action definition id of the lower case action.
`static String` | `MOVE_LINES_DOWN` Action definition id of the move lines downwards action.
`static String` | `MOVE_LINES_UP` Action definition id of the move lines upwards action.
`static String` | `PAGE_DOWN` Action definition id of the navigate goto next page action.
`static String` | `PAGE_UP` Action definition id of the navigate goto previous page action.
`static String` | `SCROLL_LINE_DOWN` Action definition id of the navigate scroll line down action.
`static String` | `SCROLL_LINE_UP` Action definition id of the navigate scroll line up action.
`static String` | `SELECT_COLUMN_NEXT` Action definition id of the select next column action.
`static String` | `SELECT_COLUMN_PREVIOUS` Action definition id of the select previous column action.
`static String` | `SELECT_LINE_DOWN` Action definition id of the select line down action.
`static String` | `SELECT_LINE_END` Action definition id of the select line end action.
`static String` | `SELECT_LINE_START` Action definition id of the select line start action.
`static String` | `SELECT_LINE_UP` Action definition id of the select line up action.
`static String` | `SELECT_PAGE_DOWN` Action definition id of the select page down action.
`static String` | `SELECT_PAGE_UP` Action definition id of the select page up action.
`static String` | `SELECT_TEXT_END` Action definition id of the select text end action.
`static String` | `SELECT_TEXT_START` Action definition id of the select text start action.
`static String` | `SELECT_WINDOW_END` Action definition id of the select window end action.
`static String` | `SELECT_WINDOW_START` Action definition id of the select window start action.
`static String` | `SELECT_WORD_NEXT` Action definition id of the select next word action.
`static String` | `SELECT_WORD_PREVIOUS` Action definition id of the select previous word action.
`static String` | `SET_MARK` Action definition id of the edit set mark action.
`static String` | `SHIFT_LEFT` Action definition id of the edit shift left action.
`static String` | `SHIFT_RIGHT` Action definition id of the edit shift right action.
`static String` | `SHOW_RULER_CONTEXT_MENU` Action definition id of the show ruler context menu action.
`static String` | `SMART_ENTER` Action definition id of the smart enter action.
`static String` | `SMART_ENTER_INVERSE` Action definition id of the smart enter (inverse) action.
`static String` | `SWAP_MARK` Action definition id of the edit swap mark action.
`static String` | `TEXT_END` Action definition id of the navigate goto text end action.
`static String` | `TEXT_START` Action definition id of the navigate goto text start action.
`static String` | `TOGGLE_INSERT_MODE` Action definition ID of the edit -> smart insert mode action Value: `"org.eclipse.ui.edit.text.toggleInsertMode"`).
`static String` | `TOGGLE_OVERWRITE` Action definition id of the toggle input mode action.
`static String` | `TOGGLE_SHOW_SELECTED_ELEMENT_ONLY` Action definition id of toggle show selected element only action.
`static String` | `UPPER_CASE` Action definition id of the upper case action.
`static String` | `WINDOW_END` Action definition id of the navigate goto end of window action.
`static String` | `WINDOW_START` Action definition id of the navigate goto start of window action.
`static String` | `WORD_NEXT` Action definition id of the navigate goto next word action.
`static String` | `WORD_PREVIOUS` Action definition id of the navigate goto previous word action.

Fields inherited from interface org.eclipse.ui.texteditor.IWorkbenchActionDefinitionIds
`ADD_BOOKMARK, ADD_TASK, COPY, CUT, DELETE, FIND_INCREMENTAL, FIND_INCREMENTAL_REVERSE, FIND_NEXT, FIND_PREVIOUS, FIND_REPLACE, MOVE, PASTE, PRINT, REDO, RENAME, REVERT_TO_SAVED, SAVE, SELECT_ALL, UNDO`

Field Detail

### DELETE_LINE

    public static final String DELETE_LINE

  Action definition id of the edit delete line action. Value: `"org.eclipse.ui.edit.text.delete.line"`

  See Also:
    Constant Field Values

### CUT_LINE

    public static final String CUT_LINE

  Action definition id of the edit cut line action. Value: `"org.eclipse.ui.edit.text.cut.line"`

  Since:
    2.1
  See Also:
    Constant Field Values

### DELETE_LINE_TO_BEGINNING

    public static final String DELETE_LINE_TO_BEGINNING

  Action definition id of the edit delete line to beginning action. Value: `"org.eclipse.ui.edit.text.delete.line.to.beginning"`

  See Also:
    Constant Field Values

### CUT_LINE_TO_BEGINNING

    public static final String CUT_LINE_TO_BEGINNING

  Action definition id of the edit cut line to beginning action. Value: `"org.eclipse.ui.edit.text.cut.line.to.beginning"`

  Since:
    2.1
  See Also:
    Constant Field Values

### DELETE_LINE_TO_END

    public static final String DELETE_LINE_TO_END

  Action definition id of the edit delete line to end action. Value: `"org.eclipse.ui.edit.text.delete.line.to.end"`

  See Also:
    Constant Field Values

### CUT_LINE_TO_END

    public static final String CUT_LINE_TO_END

  Action definition id of the edit cut line to end action. Value: `"org.eclipse.ui.edit.text.cut.line.to.end"`

  Since:
    2.1
  See Also:
    Constant Field Values

### SET_MARK

    public static final String SET_MARK

  Action definition id of the edit set mark action. Value: `"org.eclipse.ui.edit.text.set.mark"`

  See Also:
    Constant Field Values

### CLEAR_MARK

    public static final String CLEAR_MARK

  Action definition id of the edit clear mark action. Value: `"org.eclipse.ui.edit.text.clear.mark"`

  See Also:
    Constant Field Values

### SWAP_MARK

    public static final String SWAP_MARK

  Action definition id of the edit swap mark action. Value: `"org.eclipse.ui.edit.text.swap.mark"`

  See Also:
    Constant Field Values

### SMART_ENTER

    public static final String SMART_ENTER

  Action definition id of the smart enter action. Value: `"org.eclipse.ui.edit.text.smartEnter"`

  Since:
    3.0
  See Also:
    Constant Field Values

### SMART_ENTER_INVERSE

    public static final String SMART_ENTER_INVERSE

  Action definition id of the smart enter (inverse) action. Value: `"org.eclipse.ui.edit.text.smartEnterInverse"`

  Since:
    3.0
  See Also:
    Constant Field Values

### MOVE_LINES_UP

    public static final String MOVE_LINES_UP

  Action definition id of the move lines upwards action. Value: `"org.eclipse.ui.edit.text.moveLineUp"`

  Since:
    3.0
  See Also:
    Constant Field Values

### MOVE_LINES_DOWN

    public static final String MOVE_LINES_DOWN

  Action definition id of the move lines downwards action. Value: `"org.eclipse.ui.edit.text.moveLineDown"`

  Since:
    3.0
  See Also:
    Constant Field Values

### COPY_LINES_UP

    public static final String COPY_LINES_UP

  Action definition id of the copy lines upwards action. Value: `"org.eclipse.ui.edit.text.copyLineUp"`

  Since:
    3.0
  See Also:
    Constant Field Values

### COPY_LINES_DOWN

    public static final String COPY_LINES_DOWN

  Action definition id of the copy lines downwards action. Value: `"org.eclipse.ui.edit.text.copyLineDown"`

  Since:
    3.0
  See Also:
    Constant Field Values

### UPPER_CASE

    public static final String UPPER_CASE

  Action definition id of the upper case action. Value: `"org.eclipse.ui.edit.text.upperCase"`

  Since:
    3.0
  See Also:
    Constant Field Values

### LOWER_CASE

    public static final String LOWER_CASE

  Action definition id of the lower case action. Value: `"org.eclipse.ui.edit.text.lowerCase"`

  Since:
    3.0
  See Also:
    Constant Field Values

### LINE_UP

    public static final String LINE_UP

  Action definition id of the navigate goto previous line action. Value: `"org.eclipse.ui.edit.text.goto.lineUp"`

  See Also:
    Constant Field Values

### LINE_DOWN

    public static final String LINE_DOWN

  Action definition id of the navigate goto next line action. Value: `"org.eclipse.ui.edit.text.goto.lineDown"`

  See Also:
    Constant Field Values

### LINE_START

    public static final String LINE_START

  Action definition id of the navigate goto line start action. Value: `"org.eclipse.ui.edit.text.goto.lineStart"`

  See Also:
    Constant Field Values

### LINE_END

    public static final String LINE_END

  Action definition id of the navigate goto line end action. Value: `"org.eclipse.ui.edit.text.goto.lineEnd"`

  See Also:
    Constant Field Values

### LINE_GOTO

    public static final String LINE_GOTO

  Action definition id of the navigate goto line action. Value: `"org.eclipse.ui.edit.text.goto.line"`

  See Also:
    Constant Field Values

### COLUMN_PREVIOUS

    public static final String COLUMN_PREVIOUS

  Action definition id of the navigate goto previous column action. Value: `"org.eclipse.ui.edit.text.goto.columnPrevious"`

  See Also:
    Constant Field Values

### COLUMN_NEXT

    public static final String COLUMN_NEXT

  Action definition id of the navigate goto next column action. Value: `"org.eclipse.ui.edit.text.goto.columnNext"`

  See Also:
    Constant Field Values

### PAGE_UP

    public static final String PAGE_UP

  Action definition id of the navigate goto previous page action. Value: `"org.eclipse.ui.edit.text.goto.pageUp"`

  See Also:
    Constant Field Values

### PAGE_DOWN

    public static final String PAGE_DOWN

  Action definition id of the navigate goto next page action. Value: `"org.eclipse.ui.edit.text.goto.pageDown"`

  See Also:
    Constant Field Values

### WORD_PREVIOUS

    public static final String WORD_PREVIOUS

  Action definition id of the navigate goto previous word action. Value: `"org.eclipse.ui.edit.text.goto.wordPrevious"`

  See Also:
    Constant Field Values

### WORD_NEXT

    public static final String WORD_NEXT

  Action definition id of the navigate goto next word action. Value: `"org.eclipse.ui.edit.text.goto.wordNext"`

  See Also:
    Constant Field Values

### TEXT_START

    public static final String TEXT_START

  Action definition id of the navigate goto text start action. Value: `"org.eclipse.ui.edit.text.goto.textStart"`

  See Also:
    Constant Field Values

### TEXT_END

    public static final String TEXT_END

  Action definition id of the navigate goto text end action. Value: `"org.eclipse.ui.edit.text.goto.textEnd"`

  See Also:
    Constant Field Values

### WINDOW_START

    public static final String WINDOW_START

  Action definition id of the navigate goto start of window action. Value: `"org.eclipse.ui.edit.text.goto.windowStart"`

  See Also:
    Constant Field Values

### WINDOW_END

    public static final String WINDOW_END

  Action definition id of the navigate goto end of window action. Value: `"org.eclipse.ui.edit.text.goto.windowEnd"`

  See Also:
    Constant Field Values

### SCROLL_LINE_UP

    public static final String SCROLL_LINE_UP

  Action definition id of the navigate scroll line up action. Value: `"org.eclipse.ui.edit.text.scroll.lineUp"`

  See Also:
    Constant Field Values

### SCROLL_LINE_DOWN

    public static final String SCROLL_LINE_DOWN

  Action definition id of the navigate scroll line down action. Value: `"org.eclipse.ui.edit.text.scroll.lineDown"`

  See Also:
    Constant Field Values

### SELECT_LINE_UP

    public static final String SELECT_LINE_UP

  Action definition id of the select line up action. Value: `"org.eclipse.ui.edit.text.select.lineUp"`

  See Also:
    Constant Field Values

### SELECT_LINE_DOWN

    public static final String SELECT_LINE_DOWN

  Action definition id of the select line down action. Value: `"org.eclipse.ui.edit.text.select.lineDown"`

  See Also:
    Constant Field Values

### SELECT_LINE_START

    public static final String SELECT_LINE_START

  Action definition id of the select line start action. Value: `"org.eclipse.ui.edit.text.select.lineStart"`

  See Also:
    Constant Field Values

### SELECT_LINE_END

    public static final String SELECT_LINE_END

  Action definition id of the select line end action. Value: `"org.eclipse.ui.edit.text.select.lineEnd"`

  See Also:
    Constant Field Values

### SELECT_COLUMN_PREVIOUS

    public static final String SELECT_COLUMN_PREVIOUS

  Action definition id of the select previous column action. Value: `"org.eclipse.ui.edit.text.select.columnPrevious"`

  See Also:
    Constant Field Values

### SELECT_COLUMN_NEXT

    public static final String SELECT_COLUMN_NEXT

  Action definition id of the select next column action. Value: `"org.eclipse.ui.edit.text.select.columnNext"`

  See Also:
    Constant Field Values

### SELECT_PAGE_UP

    public static final String SELECT_PAGE_UP

  Action definition id of the select page up action. Value: `"org.eclipse.ui.edit.text.select.pageUp"`

  See Also:
    Constant Field Values

### SELECT_PAGE_DOWN

    public static final String SELECT_PAGE_DOWN

  Action definition id of the select page down action. Value: `"org.eclipse.ui.edit.text.select.pageDown"`

  See Also:
    Constant Field Values

### SELECT_WORD_PREVIOUS

    public static final String SELECT_WORD_PREVIOUS

  Action definition id of the select previous word action. Value: `"org.eclipse.ui.edit.text.select.wordPrevious"`

  See Also:
    Constant Field Values

### SELECT_WORD_NEXT

    public static final String SELECT_WORD_NEXT

  Action definition id of the select next word action. Value: `"org.eclipse.ui.edit.text.select.wordNext"`

  See Also:
    Constant Field Values

### SELECT_TEXT_START

    public static final String SELECT_TEXT_START

  Action definition id of the select text start action. Value: `"org.eclipse.ui.edit.text.select.textStart"`

  See Also:
    Constant Field Values

### SELECT_TEXT_END

    public static final String SELECT_TEXT_END

  Action definition id of the select text end action. Value: `"org.eclipse.ui.edit.text.select.textEnd"`

  See Also:
    Constant Field Values

### SELECT_WINDOW_START

    public static final String SELECT_WINDOW_START

  Action definition id of the select window start action. Value: `"org.eclipse.ui.edit.text.select.windowStart"`

  See Also:
    Constant Field Values

### SELECT_WINDOW_END

    public static final String SELECT_WINDOW_END

  Action definition id of the select window end action. Value: `"org.eclipse.ui.edit.text.select.windowEnd"`

  See Also:
    Constant Field Values

### DELETE_PREVIOUS

    public static final String DELETE_PREVIOUS

  Action definition id of the edit delete previous character action. Value: `"org.eclipse.ui.edit.text.deletePrevious"`

  See Also:
    Constant Field Values

### DELETE_NEXT

    public static final String DELETE_NEXT

  Action definition id of the edit delete next character action. Value: `"org.eclipse.ui.edit.text.deleteNext"`

  See Also:
    Constant Field Values

### DELETE_PREVIOUS_WORD

    public static final String DELETE_PREVIOUS_WORD

  Action definition id of the edit delete previous word action. Value: `"org.eclipse.ui.edit.text.deletePreviousWord"`

  Since:
    2.1
  See Also:
    Constant Field Values

### DELETE_NEXT_WORD

    public static final String DELETE_NEXT_WORD

  Action definition id of the edit delete next word action. Value: `"org.eclipse.ui.edit.text.deleteNextWord"`

  Since:
    2.1
  See Also:
    Constant Field Values

### SHIFT_RIGHT

    public static final String SHIFT_RIGHT

  Action definition id of the edit shift right action. Value: `"org.eclipse.ui.edit.text.shiftRight"`

  See Also:
    Constant Field Values

### SHIFT_LEFT

    public static final String SHIFT_LEFT

  Action definition id of the edit shift left action. Value: `"org.eclipse.ui.edit.text.shiftLeft"`

  See Also:
    Constant Field Values

### CONVERT_LINE_DELIMITERS_TO_WINDOWS

    public static final String CONVERT_LINE_DELIMITERS_TO_WINDOWS

  Action definition id of the edit convert to window's line delimiter action. Value: `"org.eclipse.ui.edit.text.convert.lineDelimiters.toWindows"`

  See Also:
    Constant Field Values

### CONVERT_LINE_DELIMITERS_TO_UNIX

    public static final String CONVERT_LINE_DELIMITERS_TO_UNIX

  Action definition id of the edit convert to unix line delimiter action. Value: `"org.eclipse.ui.edit.text.convert.lineDelimiters.toUNIX"`

  See Also:
    Constant Field Values

### CONVERT_LINE_DELIMITERS_TO_MAC

    public static final String CONVERT_LINE_DELIMITERS_TO_MAC

  Action definition id of the edit convert to mac line delimiter action. Value: `"org.eclipse.ui.edit.text.convert.lineDelimiters.toMac"`

  See Also:
    Constant Field Values

### TOGGLE_OVERWRITE

    public static final String TOGGLE_OVERWRITE

  Action definition id of the toggle input mode action. Value: `"org.eclipse.ui.edit.text.toggleOverwrite"`

  See Also:
    Constant Field Values

### TOGGLE_SHOW_SELECTED_ELEMENT_ONLY

    public static final String TOGGLE_SHOW_SELECTED_ELEMENT_ONLY

  Action definition id of toggle show selected element only action. Value: `"org.eclipse.ui.edit.text.toggleShowSelectedElementOnly"`

  Since:
    3.0
  See Also:
    Constant Field Values

### SHOW_RULER_CONTEXT_MENU

    public static final String SHOW_RULER_CONTEXT_MENU

  Action definition id of the show ruler context menu action. Value: `"org.eclipse.ui.edit.text.showRulerContextMenu"`

  See Also:
    Constant Field Values

### GOTO_LAST_EDIT_POSITION

    public static final String GOTO_LAST_EDIT_POSITION

  Action definition id of go to last edit position action. Value: `"org.eclipse.ui.edit.text.gotoLastEditPosition"`

  Since:
    2.1
  See Also:
    Constant Field Values

### GOTO_NEXT_ANNOTATION

    public static final String GOTO_NEXT_ANNOTATION

  Action definition id of go to next annotation action. Value: `"org.eclipse.ui.edit.text.gotoNextAnnotation"`

  Since:
    3.0
  See Also:
    Constant Field Values

### GOTO_PREVIOUS_ANNOTATION

    public static final String GOTO_PREVIOUS_ANNOTATION

  Action definition id of go to previous annotation action. Value: `"org.eclipse.ui.edit.text.gotoPreviousAnnotation"`

  Since:
    3.0
  See Also:
    Constant Field Values

### CONTENT_ASSIST_PROPOSALS

    public static final String CONTENT_ASSIST_PROPOSALS

  Action definition ID of the edit -> content assist proposal action Value: `"org.eclipse.ui.edit.text.contentAssist.proposals"`).

  Since:
    2.1
  See Also:
    Constant Field Values

### CONTENT_ASSIST_CONTEXT_INFORMATION

    public static final String CONTENT_ASSIST_CONTEXT_INFORMATION

  Action definition ID of the edit -> content assist context information action Value: `"org.eclipse.ui.edit.text.contentAssist.contextInformation"`).

  Since:
    2.1
  See Also:
    Constant Field Values

### TOGGLE_INSERT_MODE

    public static final String TOGGLE_INSERT_MODE

  Action definition ID of the edit -> smart insert mode action Value: `"org.eclipse.ui.edit.text.toggleInsertMode"`).

  Since:
    3.0
  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.